Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoRegion3d Class Reference
Surface

## Description

Represents a three dimensional surface region.

Inherits kObject.

## Public Member Functions
k64f | GoRegion3d_Height (GoRegion3d region)
| Gets the height. More...
k64f | GoRegion3d_Length (GoRegion3d region)
| Gets the length. More...
kStatus | GoRegion3d_SetHeight (GoRegion3d region, k64f height)
| Sets the height. More...
kStatus | GoRegion3d_SetLength (GoRegion3d region, k64f length)
| Sets the length. More...
kStatus | GoRegion3d_SetWidth (GoRegion3d region, k64f width)
| Sets the width. More...
kStatus | GoRegion3d_SetX (GoRegion3d region, k64f x)
| Sets the X position. More...
kStatus | GoRegion3d_SetY (GoRegion3d region, k64f value)
| Sets the Y position. More...
kStatus | GoRegion3d_SetZ (GoRegion3d region, k64f z)
| Sets the Z-position. More...
k64f | GoRegion3d_Width (GoRegion3d region)
| Gets the width. More...
k64f | GoRegion3d_X (GoRegion3d region)
| Gets the X position. More...
k64f | GoRegion3d_Y (GoRegion3d region)
| Gets the Y position. More...
k64f | GoRegion3d_Z (GoRegion3d region)
| Gets the Z-position. More...

## Member Function Documentation

k64f GoRegion3d_Height | ( | GoRegion3d | region | ) |

Gets the height.

Parameters

  region | GoRegion3d object.

Returns
  The height of the region.

k64f GoRegion3d_Length | ( | GoRegion3d | region | ) |

Gets the length.

Parameters

  region | GoRegion3d object.

Returns
  The length of the region.

kStatus GoRegion3d_SetHeight | ( | GoRegion3d | region,
|  | k64f | height
| ) |  |

Sets the height.

Parameters

  region | GoRegion3d object.
  height | The height to set.

Returns
  Operation status.

kStatus GoRegion3d_SetLength | ( | GoRegion3d | region,
|  | k64f | length
| ) |  |

Sets the length.

Parameters

  region | GoRegion3d object.
  length | The length to set.

Returns
  Operation status.

kStatus GoRegion3d_SetWidth | ( | GoRegion3d | region,
|  | k64f | width
| ) |  |

Sets the width.

Parameters

  region | GoRegion3d object.
  width | The width to set.

Returns
  Operation status.

kStatus GoRegion3d_SetX | ( | GoRegion3d | region,
|  | k64f | x
| ) |  |

Sets the X position.

Parameters

  region | GoRegion3d object.
  x | The X position to set.

Returns
  Operation status.

kStatus GoRegion3d_SetY | ( | GoRegion3d | region,
|  | k64f | value
| ) |  |

Sets the Y position.

Parameters

  region | GoRegion3d object.
  value | The Y position to set.

Returns
  Operation status.

kStatus GoRegion3d_SetZ | ( | GoRegion3d | region,
|  | k64f | z
| ) |  |

Sets the Z-position.

Parameters

  region | GoRegion3d object.
  z | The Z-position to set.

Returns
  Operation status.

k64f GoRegion3d_Width | ( | GoRegion3d | region | ) |

Gets the width.

Parameters

  region | GoRegion3d object.

Returns
  The width of the region.

k64f GoRegion3d_X | ( | GoRegion3d | region | ) |

Gets the X position.

Parameters

  region | GoRegion3d object.

Returns
  The X position of the region.

k64f GoRegion3d_Y | ( | GoRegion3d | region | ) |

Gets the Y position.

Parameters

  region | GoRegion3d object.

Returns
  The Y position of the region.

k64f GoRegion3d_Z | ( | GoRegion3d | region | ) |

Gets the Z-position.

Parameters

  region | GoRegion3d object.

Returns
  The Z-position of the region.

The documentation for this class was generated from the following file:

- Tools/GoSurfaceTools.h